Bug 19219 - Another gcc internal error on error handling
Another gcc internal error on error handling
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
: 19214 19215 19217 19218 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-16 22:25 EDT by Alan Cox
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-17 11:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2000-10-16 22:25:12 EDT
Edit the rpm source tree lib/rpmlib.h remove the include/popt.h and make in
that directory you then get

/bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..
-I../build -I../rpmio     -g -O2 -D_GNU_SOURCE -Wall -Wpointer-arith
-Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -c poptBT.c
rm -f .libs/poptBT.lo
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I../build -I../rpmio -g -O2
-D_GNU_SOURCE -Wall -Wpointer-arith -Wstrict-prototypes
-Wmissing-prototypes -Wno-char-subscripts -Wp,-MD,.deps/poptBT.pp -c
poptBT.c  -fPIC -DPIC -o .libs/poptBT.lo
poptBT.c:45: parse error before `con'
poptBT.c:48: warning: function declaration isn't a prototype
poptBT.c: In function `buildArgCallback':
poptBT.c:49: `data' undeclared (first use in this function)
poptBT.c:49: (Each undeclared identifier is reported only once
poptBT.c:49: for each function it appears in.)
poptBT.c:51: `opt' undeclared (first use in this function)
poptBT.c:52: case label not within a switch statement
poptBT.c:53: case label not within a switch statement
poptBT.c:54: case label not within a switch statement
poptBT.c:55: case label not within a switch statement
poptBT.c:56: case label not within a switch statement
poptBT.c:57: case label not within a switch statement
poptBT.c:58: case label not within a switch statement
poptBT.c:59: case label not within a switch statement
poptBT.c:60: case label not within a switch statement
poptBT.c:61: case label not within a switch statement
poptBT.c:62: case label not within a switch statement
poptBT.c:63: case label not within a switch statement
poptBT.c:64: case label not within a switch statement
poptBT.c:65: case label not within a switch statement
poptBT.c:66: case label not within a switch statement
poptBT.c:67: case label not within a switch statement
poptBT.c:72: break statement not within loop or switch
poptBT.c:73: case label not within a switch statement
poptBT.c:73: break statement not within loop or switch
poptBT.c:74: case label not within a switch statement
poptBT.c:74: break statement not within loop or switch
poptBT.c:75: case label not within a switch statement
poptBT.c:75: break statement not within loop or switch
poptBT.c:76: case label not within a switch statement
poptBT.c:76: break statement not within loop or switch
poptBT.c:77: case label not within a switch statement
poptBT.c:77: break statement not within loop or switch
poptBT.c:78: case label not within a switch statement
poptBT.c:78: break statement not within loop or switch
poptBT.c:79: case label not within a switch statement
poptBT.c:79: break statement not within loop or switch
poptBT.c:80: case label not within a switch statement
poptBT.c:86: `arg' undeclared (first use in this function)
poptBT.c:87: break statement not within loop or switch
poptBT.c:88: case label not within a switch statement
poptBT.c:98: break statement not within loop or switch
poptBT.c: At top level:
poptBT.c:103: elements of array `rpmBuildPoptTable' have incomplete type
poptBT.c:104: warning: excess elements in struct initializer
poptBT.c:104: warning: (near initialization for `rpmBuildPoptTable[0]')
poptBT.c:104: warning: excess elements in struct initializer
poptBT.c:104: warning: (near initialization for `rpmBuildPoptTable[0]')
poptBT.c:104: `POPT_ARG_CALLBACK' undeclared here (not in a function)
poptBT.c:104: `POPT_CBFLAG_INC_DATA' undeclared here (not in a function)
poptBT.c:104: warning: excess elements in struct initializer
poptBT.c:104: warning: (near initialization for `rpmBuildPoptTable[0]')
poptBT.c:105: warning: excess elements in struct initializer
poptBT.c:105: warning: (near initialization for `rpmBuildPoptTable[0]')
poptBT.c:105: warning: excess elements in struct initializer
poptBT.c:105: warning: (near initialization for `rpmBuildPoptTable[0]')
poptBT.c:105: warning: excess elements in struct initializer
poptBT.c:105: warning: (near initialization for `rpmBuildPoptTable[0]')
poptBT.c:105: warning: excess elements in struct initializer
poptBT.c:105: warning: excess elements in struct initializer
poptBT.c:105: warning: (near initialization for `rpmBuildPoptTable[0]')
poptBT.c:107: warning: excess elements in struct initializer
poptBT.c:107: warning: (near initialization for `rpmBuildPoptTable[1]')
poptBT.c:107: warning: excess elements in struct initializer
poptBT.c:107: warning: (near initialization for `rpmBuildPoptTable[1]')
poptBT.c:107: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:107: warning: excess elements in struct initializer
poptBT.c:107: warning: (near initialization for `rpmBuildPoptTable[1]')
poptBT.c:107: warning: excess elements in struct initializer
poptBT.c:107: warning: (near initialization for `rpmBuildPoptTable[1]')
poptBT.c:107: warning: excess elements in struct initializer
poptBT.c:107: warning: (near initialization for `rpmBuildPoptTable[1]')
poptBT.c:108: warning: excess elements in struct initializer
poptBT.c:108: warning: (near initialization for `rpmBuildPoptTable[1]')
poptBT.c:108: warning: excess elements in struct initializer
poptBT.c:108: warning: (near initialization for `rpmBuildPoptTable[1]')
poptBT.c:109: warning: excess elements in struct initializer
poptBT.c:109: warning: (near initialization for `rpmBuildPoptTable[2]')
poptBT.c:109: warning: excess elements in struct initializer
poptBT.c:109: warning: (near initialization for `rpmBuildPoptTable[2]')
poptBT.c:109: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:109: warning: excess elements in struct initializer
poptBT.c:109: warning: (near initialization for `rpmBuildPoptTable[2]')
poptBT.c:109: warning: excess elements in struct initializer
poptBT.c:109: warning: (near initialization for `rpmBuildPoptTable[2]')
poptBT.c:109: warning: excess elements in struct initializer
poptBT.c:109: warning: (near initialization for `rpmBuildPoptTable[2]')
poptBT.c:110: warning: excess elements in struct initializer
poptBT.c:110: warning: (near initialization for `rpmBuildPoptTable[2]')
poptBT.c:110: warning: excess elements in struct initializer
poptBT.c:110: warning: (near initialization for `rpmBuildPoptTable[2]')
poptBT.c:111: warning: excess elements in struct initializer
poptBT.c:111: warning: (near initialization for `rpmBuildPoptTable[3]')
poptBT.c:111: warning: excess elements in struct initializer
poptBT.c:111: warning: (near initialization for `rpmBuildPoptTable[3]')
poptBT.c:111: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:111: warning: excess elements in struct initializer
poptBT.c:111: warning: (near initialization for `rpmBuildPoptTable[3]')
poptBT.c:111: warning: excess elements in struct initializer
poptBT.c:111: warning: (near initialization for `rpmBuildPoptTable[3]')
poptBT.c:111: warning: excess elements in struct initializer
poptBT.c:111: warning: (near initialization for `rpmBuildPoptTable[3]')
poptBT.c:112: warning: excess elements in struct initializer
poptBT.c:112: warning: (near initialization for `rpmBuildPoptTable[3]')
poptBT.c:112: warning: excess elements in struct initializer
poptBT.c:112: warning: (near initialization for `rpmBuildPoptTable[3]')
poptBT.c:113: warning: excess elements in struct initializer
poptBT.c:113: warning: (near initialization for `rpmBuildPoptTable[4]')
poptBT.c:113: warning: excess elements in struct initializer
poptBT.c:113: warning: (near initialization for `rpmBuildPoptTable[4]')
poptBT.c:113: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:113: warning: excess elements in struct initializer
poptBT.c:113: warning: (near initialization for `rpmBuildPoptTable[4]')
poptBT.c:113: warning: excess elements in struct initializer
poptBT.c:113: warning: (near initialization for `rpmBuildPoptTable[4]')
poptBT.c:113: warning: excess elements in struct initializer
poptBT.c:113: warning: (near initialization for `rpmBuildPoptTable[4]')
poptBT.c:114: warning: excess elements in struct initializer
poptBT.c:114: warning: (near initialization for `rpmBuildPoptTable[4]')
poptBT.c:114: warning: excess elements in struct initializer
poptBT.c:114: warning: (near initialization for `rpmBuildPoptTable[4]')
poptBT.c:115: warning: excess elements in struct initializer
poptBT.c:115: warning: (near initialization for `rpmBuildPoptTable[5]')
poptBT.c:115: warning: excess elements in struct initializer
poptBT.c:115: warning: (near initialization for `rpmBuildPoptTable[5]')
poptBT.c:115: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:115: warning: excess elements in struct initializer
poptBT.c:115: warning: excess elements in struct initializer
poptBT.c:115: warning: (near initialization for `rpmBuildPoptTable[5]')
poptBT.c:115: warning: excess elements in struct initializer
poptBT.c:115: warning: (near initialization for `rpmBuildPoptTable[5]')
poptBT.c:115: warning: excess elements in struct initializer
poptBT.c:115: warning: (near initialization for `rpmBuildPoptTable[5]')
poptBT.c:116: warning: excess elements in struct initializer
poptBT.c:116: warning: (near initialization for `rpmBuildPoptTable[5]')
poptBT.c:116: warning: excess elements in struct initializer
poptBT.c:116: warning: (near initialization for `rpmBuildPoptTable[5]')
poptBT.c:117: warning: excess elements in struct initializer
poptBT.c:117: warning: (near initialization for `rpmBuildPoptTable[6]')
poptBT.c:117: warning: excess elements in struct initializer
poptBT.c:117: warning: (near initialization for `rpmBuildPoptTable[6]')
poptBT.c:117: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:117: warning: excess elements in struct initializer
poptBT.c:117: warning: (near initialization for `rpmBuildPoptTable[6]')
poptBT.c:117: warning: excess elements in struct initializer
poptBT.c:117: warning: (near initialization for `rpmBuildPoptTable[6]')
poptBT.c:117: warning: excess elements in struct initializer
poptBT.c:117: warning: (near initialization for `rpmBuildPoptTable[6]')
poptBT.c:118: warning: excess elements in struct initializer
poptBT.c:118: warning: (near initialization for `rpmBuildPoptTable[6]')
poptBT.c:118: warning: excess elements in struct initializer
poptBT.c:118: warning: (near initialization for `rpmBuildPoptTable[6]')
poptBT.c:119: warning: excess elements in struct initializer
poptBT.c:119: warning: (near initialization for `rpmBuildPoptTable[7]')
poptBT.c:119: warning: excess elements in struct initializer
poptBT.c:119: warning: (near initialization for `rpmBuildPoptTable[7]')
poptBT.c:119: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:119: warning: excess elements in struct initializer
poptBT.c:119: warning: (near initialization for `rpmBuildPoptTable[7]')
poptBT.c:119: warning: excess elements in struct initializer
poptBT.c:119: warning: (near initialization for `rpmBuildPoptTable[7]')
poptBT.c:119: warning: excess elements in struct initializer
poptBT.c:119: warning: (near initialization for `rpmBuildPoptTable[7]')
poptBT.c:120: warning: excess elements in struct initializer
poptBT.c:120: warning: (near initialization for `rpmBuildPoptTable[7]')
poptBT.c:120: warning: excess elements in struct initializer
poptBT.c:120: warning: (near initialization for `rpmBuildPoptTable[7]')
poptBT.c:122: warning: excess elements in struct initializer
poptBT.c:122: warning: (near initialization for `rpmBuildPoptTable[8]')
poptBT.c:122: warning: excess elements in struct initializer
poptBT.c:122: warning: (near initialization for `rpmBuildPoptTable[8]')
poptBT.c:122: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:122: warning: excess elements in struct initializer
poptBT.c:122: warning: (near initialization for `rpmBuildPoptTable[8]')
poptBT.c:122: warning: excess elements in struct initializer
poptBT.c:122: warning: (near initialization for `rpmBuildPoptTable[8]')
poptBT.c:122: warning: excess elements in struct initializer
poptBT.c:122: warning: (near initialization for `rpmBuildPoptTable[8]')
poptBT.c:123: warning: excess elements in struct initializer
poptBT.c:123: warning: (near initialization for `rpmBuildPoptTable[8]')
poptBT.c:123: warning: excess elements in struct initializer
poptBT.c:123: warning: (near initialization for `rpmBuildPoptTable[8]')
poptBT.c:124: warning: excess elements in struct initializer
poptBT.c:124: warning: (near initialization for `rpmBuildPoptTable[9]')
poptBT.c:124: warning: excess elements in struct initializer
poptBT.c:124: warning: (near initialization for `rpmBuildPoptTable[9]')
poptBT.c:124: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:124: warning: excess elements in struct initializer
poptBT.c:124: warning: (near initialization for `rpmBuildPoptTable[9]')
poptBT.c:124: warning: excess elements in struct initializer
poptBT.c:124: warning: (near initialization for `rpmBuildPoptTable[9]')
poptBT.c:124: warning: excess elements in struct initializer
poptBT.c:124: warning: (near initialization for `rpmBuildPoptTable[9]')
poptBT.c:125: warning: excess elements in struct initializer
poptBT.c:125: warning: (near initialization for `rpmBuildPoptTable[9]')

poptBT.c:125: warning: (near initialization for `rpmBuildPoptTable[9]')
poptBT.c:125: warning: excess elements in struct initializer
poptBT.c:125: warning: (near initialization for `rpmBuildPoptTable[9]')
poptBT.c:126: warning: excess elements in struct initializer
poptBT.c:126: warning: (near initialization for `rpmBuildPoptTable[10]')
poptBT.c:126: warning: excess elements in struct initializer
poptBT.c:126: warning: (near initialization for `rpmBuildPoptTable[10]')
poptBT.c:126: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:126: warning: excess elements in struct initializer
poptBT.c:126: warning: (near initialization for `rpmBuildPoptTable[10]')
poptBT.c:126: warning: excess elements in struct initializer
poptBT.c:126: warning: (near initialization for `rpmBuildPoptTable[10]')
poptBT.c:126: warning: excess elements in struct initializer
poptBT.c:126: warning: (near initialization for `rpmBuildPoptTable[10]')
poptBT.c:127: warning: excess elements in struct initializer
poptBT.c:127: warning: (near initialization for `rpmBuildPoptTable[10]')
poptBT.c:127: warning: excess elements in struct initializer
poptBT.c:127: warning: (near initialization for `rpmBuildPoptTable[10]')
poptBT.c:128: warning: excess elements in struct initializer
poptBT.c:128: warning: (near initialization for `rpmBuildPoptTable[11]')
poptBT.c:128: warning: excess elements in struct initializer
poptBT.c:128: warning: (near initialization for `rpmBuildPoptTable[11]')
poptBT.c:128: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:128: warning: excess elements in struct initializer
poptBT.c:128: warning: (near initialization for `rpmBuildPoptTable[11]')
poptBT.c:128: warning: excess elements in struct initializer
poptBT.c:128: warning: (near initialization for `rpmBuildPoptTable[11]')
poptBT.c:128: warning: excess elements in struct initializer
poptBT.c:128: warning: (near initialization for `rpmBuildPoptTable[11]')
poptBT.c:129: warning: excess elements in struct initializer
poptBT.c:129: warning: (near initialization for `rpmBuildPoptTable[11]')
poptBT.c:129: warning: excess elements in struct initializer
poptBT.c:129: warning: (near initialization for `rpmBuildPoptTable[11]')
poptBT.c:130: warning: excess elements in struct initializer
poptBT.c:130: warning: (near initialization for `rpmBuildPoptTable[12]')
poptBT.c:130: warning: excess elements in struct initializer
poptBT.c:130: warning: (near initialization for `rpmBuildPoptTable[12]')
poptBT.c:130: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:130: warning: excess elements in struct initializer
poptBT.c:130: warning: (near initialization for `rpmBuildPoptTable[12]')
poptBT.c:130: warning: excess elements in struct initializer
poptBT.c:130: warning: (near initialization for `rpmBuildPoptTable[12]')
poptBT.c:130: warning: excess elements in struct initializer
poptBT.c:130: warning: (near initialization for `rpmBuildPoptTable[12]')
poptBT.c:131: warning: excess elements in struct initializer
poptBT.c:131: warning: (near initialization for `rpmBuildPoptTable[12]')
poptBT.c:131: warning: excess elements in struct initializer
poptBT.c:131: warning: (near initialization for `rpmBuildPoptTable[12]')
poptBT.c:132: warning: excess elements in struct initializer
poptBT.c:132: warning: (near initialization for `rpmBuildPoptTable[13]')
poptBT.c:132: warning: excess elements in struct initializer
poptBT.c:132: warning: (near initialization for `rpmBuildPoptTable[13]')
poptBT.c:132: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:132: warning: excess elements in struct initializer
poptBT.c:132: warning: (near initialization for `rpmBuildPoptTable[13]')
poptBT.c:132: warning: excess elements in struct initializer
poptBT.c:132: warning: (near initialization for `rpmBuildPoptTable[13]')
poptBT.c:132: warning: excess elements in struct initializer
poptBT.c:132: warning: (near initialization for `rpmBuildPoptTable[13]')
poptBT.c:133: warning: excess elements in struct initializer
poptBT.c:133: warning: (near initialization for `rpmBuildPoptTable[13]')
poptBT.c:133: warning: excess elements in struct initializer
poptBT.c:133: warning: (near initialization for `rpmBuildPoptTable[13]')
poptBT.c:134: warning: excess elements in struct initializer
poptBT.c:134: warning: (near initialization for `rpmBuildPoptTable[14]')
poptBT.c:134: warning: excess elements in struct initializer
poptBT.c:134: warning: (near initialization for `rpmBuildPoptTable[14]')
poptBT.c:134: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:134: `POPT_ARGFLAG_ONEDASH' undeclared here (not in a function)
poptBT.c:134: warning: excess elements in struct initializer
poptBT.c:134: warning: (near initialization for `rpmBuildPoptTable[14]')
poptBT.c:134: warning: excess elements in struct initializer
poptBT.c:134: warning: (near initialization for `rpmBuildPoptTable[14]')
poptBT.c:134: warning: excess elements in struct initializer
poptBT.c:134: warning: (near initialization for `rpmBuildPoptTable[14]')
poptBT.c:135: warning: excess elements in struct initializer
poptBT.c:135: warning: (near initialization for `rpmBuildPoptTable[14]')
poptBT.c:135: warning: excess elements in struct initializer
poptBT.c:135: warning: (near initialization for `rpmBuildPoptTable[14]')
poptBT.c:137: warning: excess elements in struct initializer
poptBT.c:137: warning: (near initialization for `rpmBuildPoptTable[15]')
poptBT.c:137: warning: excess elements in struct initializer
poptBT.c:137: warning: (near initialization for `rpmBuildPoptTable[15]')
poptBT.c:137: warning: excess elements in struct initializer
poptBT.c:137: warning: (near initialization for `rpmBuildPoptTable[15]')
poptBT.c:137: warning: excess elements in struct initializer
poptBT.c:137: warning: (near initialization for `rpmBuildPoptTable[15]')
poptBT.c:137: warning: excess elements in struct initializer
poptBT.c:137: warning: (near initialization for `rpmBuildPoptTable[15]')
poptBT.c:138: warning: excess elements in struct initializer
poptBT.c:138: warning: (near initialization for `rpmBuildPoptTable[15]')
poptBT.c:138: warning: excess elements in struct initializer
poptBT.c:138: warning: (near initialization for `rpmBuildPoptTable[15]')
poptBT.c:139: warning: excess elements in struct initializer
poptBT.c:139: warning: (near initialization for `rpmBuildPoptTable[16]')
poptBT.c:139: warning: excess elements in struct initializer
poptBT.c:139: warning: (near initialization for `rpmBuildPoptTable[16]')
poptBT.c:139: warning: excess elements in struct initializer
poptBT.c:139: warning: (near initialization for `rpmBuildPoptTable[16]')
poptBT.c:139: warning: excess elements in struct initializer
poptBT.c:139: warning: (near initialization for `rpmBuildPoptTable[16]')
poptBT.c:139: warning: excess elements in struct initializer
poptBT.c:139: warning: (near initialization for `rpmBuildPoptTable[16]')
poptBT.c:140: warning: excess elements in struct initializer
poptBT.c:140: warning: (near initialization for `rpmBuildPoptTable[16]')
poptBT.c:140: warning: excess elements in struct initializer
poptBT.c:140: warning: (near initialization for `rpmBuildPoptTable[16]')
poptBT.c:142: warning: excess elements in struct initializer
poptBT.c:142: warning: (near initialization for `rpmBuildPoptTable[17]')
poptBT.c:142: warning: excess elements in struct initializer
poptBT.c:142: warning: (near initialization for `rpmBuildPoptTable[17]')
poptBT.c:142: `POPT_ARG_STRING' undeclared here (not in a function)
poptBT.c:142: warning: excess elements in struct initializer
poptBT.c:142: warning: (near initialization for `rpmBuildPoptTable[17]')
poptBT.c:142: warning: excess elements in struct initializer
poptBT.c:142: warning: (near initialization for `rpmBuildPoptTable[17]')
poptBT.c:142: warning: excess elements in struct initializer
poptBT.c:142: warning: (near initialization for `rpmBuildPoptTable[17]')
poptBT.c:143: warning: excess elements in struct initializer
poptBT.c:143: warning: (near initialization for `rpmBuildPoptTable[17]')
poptBT.c:143: warning: excess elements in struct initializer
poptBT.c:143: warning: (near initialization for `rpmBuildPoptTable[17]')
poptBT.c:144: warning: excess elements in struct initializer
poptBT.c:144: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:144: warning: excess elements in struct initializer
poptBT.c:144: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:144: warning: excess elements in struct initializer
poptBT.c:144: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:144: warning: excess elements in struct initializer
poptBT.c:144: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:144: warning: excess elements in struct initializer
poptBT.c:144: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:145: warning: excess elements in struct initializer
poptBT.c:145: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:145: warning: excess elements in struct initializer
poptBT.c:145: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:145: warning: (near initialization for `rpmBuildPoptTable[18]')
poptBT.c:146: warning: excess elements in struct initializer
poptBT.c:146: warning: (near initialization for `rpmBuildPoptTable[19]')
poptBT.c:146: warning: excess elements in struct initializer
poptBT.c:146: warning: (near initialization for `rpmBuildPoptTable[19]')
poptBT.c:146: warning: excess elements in struct initializer
poptBT.c:146: warning: (near initialization for `rpmBuildPoptTable[19]')
poptBT.c:146: warning: excess elements in struct initializer
poptBT.c:146: warning: (near initialization for `rpmBuildPoptTable[19]')
poptBT.c:146: warning: excess elements in struct initializer
poptBT.c:146: warning: (near initialization for `rpmBuildPoptTable[19]')
poptBT.c:147: warning: excess elements in struct initializer
poptBT.c:147: warning: (near initialization for `rpmBuildPoptTable[19]')
poptBT.c:147: warning: excess elements in struct initializer
poptBT.c:147: warning: (near initialization for `rpmBuildPoptTable[19]')
poptBT.c:148: warning: excess elements in struct initializer
poptBT.c:148: warning: (near initialization for `rpmBuildPoptTable[20]')
poptBT.c:148: warning: excess elements in struct initializer
poptBT.c:148: warning: (near initialization for `rpmBuildPoptTable[20]')
poptBT.c:148: warning: excess elements in struct initializer
poptBT.c:148: warning: (near initialization for `rpmBuildPoptTable[20]')
poptBT.c:148: warning: excess elements in struct initializer
poptBT.c:148: warning: (near initialization for `rpmBuildPoptTable[20]')
poptBT.c:148: warning: excess elements in struct initializer
poptBT.c:148: warning: (near initialization for `rpmBuildPoptTable[20]')
poptBT.c:149: warning: excess elements in struct initializer
poptBT.c:149: warning: (near initialization for `rpmBuildPoptTable[20]')
poptBT.c:149: warning: excess elements in struct initializer
poptBT.c:149: warning: (near initialization for `rpmBuildPoptTable[20]')
poptBT.c:150: warning: excess elements in struct initializer
poptBT.c:150: warning: (near initialization for `rpmBuildPoptTable[21]')
poptBT.c:150: warning: excess elements in struct initializer
poptBT.c:150: warning: (near initialization for `rpmBuildPoptTable[21]')
poptBT.c:150: warning: excess elements in struct initializer
poptBT.c:150: warning: (near initialization for `rpmBuildPoptTable[21]')
poptBT.c:150: warning: excess elements in struct initializer
poptBT.c:150: warning: (near initialization for `rpmBuildPoptTable[21]')
poptBT.c:150: warning: excess elements in struct initializer
poptBT.c:150: warning: (near initialization for `rpmBuildPoptTable[21]')
poptBT.c:151: warning: excess elements in struct initializer
poptBT.c:151: warning: (near initialization for `rpmBuildPoptTable[21]')
poptBT.c:151: warning: excess elements in struct initializer
poptBT.c:151: warning: (near initialization for `rpmBuildPoptTable[21]')
poptBT.c:152: warning: excess elements in struct initializer
poptBT.c:152: warning: (near initialization for `rpmBuildPoptTable[22]')
poptBT.c:152: warning: excess elements in struct initializer
poptBT.c:152: warning: (near initialization for `rpmBuildPoptTable[22]')
poptBT.c:152: warning: excess elements in struct initializer
poptBT.c:152: warning: (near initialization for `rpmBuildPoptTable[22]')
poptBT.c:152: warning: excess elements in struct initializer
poptBT.c:152: warning: (near initialization for `rpmBuildPoptTable[22]')
poptBT.c:152: warning: excess elements in struct initializer
poptBT.c:152: warning: (near initialization for `rpmBuildPoptTable[22]')
poptBT.c:153: warning: excess elements in struct initializer
poptBT.c:153: warning: (near initialization for `rpmBuildPoptTable[22]')
poptBT.c:153: warning: excess elements in struct initializer
poptBT.c:153: warning: (near initialization for `rpmBuildPoptTable[22]')
poptBT.c:154: warning: excess elements in struct initializer
poptBT.c:154: warning: (near initialization for `rpmBuildPoptTable[23]')
poptBT.c:154: warning: excess elements in struct initializer
poptBT.c:154: warning: (near initialization for `rpmBuildPoptTable[23]')
poptBT.c:154: warning: excess elements in struct initializer
poptBT.c:154: warning: (near initialization for `rpmBuildPoptTable[23]')
poptBT.c:154: warning: excess elements in struct initializer
poptBT.c:154: warning: (near initialization for `rpmBuildPoptTable[23]')
poptBT.c:154: warning: excess elements in struct initializer
poptBT.c:154: warning: (near initialization for `rpmBuildPoptTable[23]')
poptBT.c:155: warning: excess elements in struct initializer
poptBT.c:155: warning: (near initialization for `rpmBuildPoptTable[23]')
poptBT.c:156: warning: excess elements in struct initializer
poptBT.c:156: warning: (near initialization for `rpmBuildPoptTable[24]')
poptBT.c:156: warning: excess elements in struct initializer
poptBT.c:156: warning: (near initialization for `rpmBuildPoptTable[24]')
poptBT.c:156: `POPT_ARG_STRING' undeclared here (not in a function)
poptBT.c:156: warning: excess elements in struct initializer
poptBT.c:156: warning: (near initialization for `rpmBuildPoptTable[24]')
poptBT.c:156: warning: excess elements in struct initializer
poptBT.c:156: warning: (near initialization for `rpmBuildPoptTable[24]')
poptBT.c:156: warning: excess elements in struct initializer
poptBT.c:156: warning: (near initialization for `rpmBuildPoptTable[24]')
poptBT.c:157: warning: excess elements in struct initializer
poptBT.c:157: warning: (near initialization for `rpmBuildPoptTable[24]')
poptBT.c:157: warning: excess elements in struct initializer
poptBT.c:157: warning: (near initialization for `rpmBuildPoptTable[24]')
poptBT.c:158: warning: excess elements in struct initializer
poptBT.c:158: warning: (near initialization for `rpmBuildPoptTable[25]')
poptBT.c:158: warning: excess elements in struct initializer
poptBT.c:158: warning: (near initialization for `rpmBuildPoptTable[25]')
poptBT.c:158: warning: excess elements in struct initializer
poptBT.c:158: warning: (near initialization for `rpmBuildPoptTable[25]')
poptBT.c:158: warning: excess elements in struct initializer
poptBT.c:158: warning: (near initialization for `rpmBuildPoptTable[25]')
poptBT.c:158: warning: excess elements in struct initializer
poptBT.c:158: warning: (near initialization for `rpmBuildPoptTable[25]')
poptBT.c:159: warning: excess elements in struct initializer
poptBT.c:159: warning: (near initialization for `rpmBuildPoptTable[25]')
poptBT.c:159: warning: excess elements in struct initializer
poptBT.c:159: warning: (near initialization for `rpmBuildPoptTable[25]')
poptBT.c:160: warning: excess elements in struct initializer
poptBT.c:160: warning: (near initialization for `rpmBuildPoptTable[26]')
poptBT.c:160: warning: excess elements in struct initializer
poptBT.c:160: warning: (near initialization for `rpmBuildPoptTable[26]')
poptBT.c:160: warning: excess elements in struct initializer
poptBT.c:160: warning: (near initialization for `rpmBuildPoptTable[26]')
poptBT.c:160: warning: excess elements in struct initializer
poptBT.c:160: warning: (near initialization for `rpmBuildPoptTable[26]')
poptBT.c:160: warning: excess elements in struct initializer
poptBT.c:160: warning: (near initialization for `rpmBuildPoptTable[26]')
poptBT.c:160: warning: excess elements in struct initializer
poptBT.c:160: warning: (near initialization for `rpmBuildPoptTable[26]')
poptBT.c:160: warning: excess elements in struct initializer
poptBT.c:160: warning: (near initialization for `rpmBuildPoptTable[26]')
poptBT.c:161: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
make: *** [poptBT.lo] Error 1
Comment 1 Jakub Jelinek 2000-10-17 09:48:22 EDT
*** Bug 19214 has been marked as a duplicate of this bug. ***
Comment 2 Jakub Jelinek 2000-10-17 09:48:41 EDT
*** Bug 19215 has been marked as a duplicate of this bug. ***
Comment 3 Jakub Jelinek 2000-10-17 09:48:58 EDT
*** Bug 19217 has been marked as a duplicate of this bug. ***
Comment 4 Jakub Jelinek 2000-10-17 09:49:35 EDT
*** Bug 19218 has been marked as a duplicate of this bug. ***
Comment 5 Alan Cox 2000-10-17 11:53:24 EDT
Sorry about the duplicates btw - bugzilla was having a fit
Comment 6 Jakub Jelinek 2000-10-20 09:51:17 EDT
Fixed in gcc-2.96-57 (currently in rawhide) and does not segfault in current
latest gcc-2.96-60 either. I think it is gcc-segv1.patch I wrote which cures
it.

Note You need to log in before you can comment on or make changes to this bug.